Bug 182530 - Graphical Install on mach64 fallbacks to text mode install
Graphical Install on mach64 fallbacks to text mode install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 20:55 EST by Ricky Ng-Adam
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.log from failed install (21.57 KB, text/plain)
2006-02-24 22:23 EST, Michael St. John
no flags Details
X.log for mach64 failure (900 bytes, text/plain)
2006-02-25 13:40 EST, Ricky Ng-Adam
no flags Details
file referenced from X.log (22.16 KB, text/plain)
2006-02-25 13:41 EST, Ricky Ng-Adam
no flags Details

  None (edit)
Description Ricky Ng-Adam 2006-02-22 20:55:36 EST
Description of problem:

Following error is shown when trying to install on an older PCI video card:

ATI Tech 210888GX Mach64 GX
Unknown monitor SERVER FAILED
VESA SERVER FAILED

Fallsback to text, but the text interface is incorrect (the dialog buttons are
misaligned) and the current option incorrectly highlighted.

Additionnaly, later in the install I see: "_X11TransSocketINETConnect() can't
get address for localhost, Cannot open display ":1"

/tmp/X.log says: ATI(0): Depth 16 is not supported throught this adapter

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. try to install on this video card
2.
3.
  
Actual results:

no GUI installation and text install displays incorrectly

Expected results:

GUI or text install still works with older video cards

Additional info:
Comment 1 Michael St. John 2006-02-23 23:21:57 EST
Experiencing the same problems with an ATI RV370 Radeon X300SE.

Graphical/Text install of fc5test2 using the Radeon X300SE works as expected.
Comment 2 Jeremy Katz 2006-02-24 11:39:58 EST
Does X work after install?  This sounds like a driver bug as 16bpp should be
supported.
Comment 3 Adam Jackson 2006-02-24 11:58:16 EST
reporter, please attach the X log from the failed startup.
Comment 4 Michael St. John 2006-02-24 22:23:44 EST
Created attachment 125222 [details]
X.log from failed install

I am not sure if X windows works after the install. Currently the text install
is so mangled it is basically unusable.
Comment 5 Ricky Ng-Adam 2006-02-25 13:40:12 EST
Created attachment 125256 [details]
X.log for mach64 failure
Comment 6 Ricky Ng-Adam 2006-02-25 13:41:42 EST
Created attachment 125257 [details]
file referenced from X.log
Comment 7 Ricky Ng-Adam 2006-02-25 14:58:41 EST
Note that the install text is not mangled when booting installation with "linux
 askmethod", so I was able to complete the install.

However, at first boot, all I see is the green OK on the right side of the
screen for each part of the boot.  The first dialog screen is a blue background,
a black window with only a <YES> in red.
Comment 8 Ricky Ng-Adam 2006-02-25 15:17:53 EST
I decided to switch videocard for an ATI Radeon 9200 (AGP) for the firstboot
program and found out another problem: when I get to the Display part, the
settings are not for the now installed 9200 but for the removed Mach64 (PCI). 

Once logged in into X, I used the Administration > Display program to change to
driver to Radeon.  I then logged out and CTRL-ALT-BACKSPACE'ing the gdm, however
upon re-login the display program still referenced Mach64. Same thing if I
rebooted the whole system.  How do I get rid of that "ghost"?
Comment 9 Ricky Ng-Adam 2006-02-25 18:22:56 EST
OK, I was able to configure an higher resolution than the 800x600 by using the
command-line system-config-display.  However, System > Administration >
Display:Hardware tab still shows ATI technologies Inc 210888GX...  Should I open
another bug for this?
Comment 10 Adam Jackson 2006-02-26 16:24:38 EST
(In reply to comment #4)
> Created an attachment (id=125222) [edit]
> X.log from failed install
> 
> I am not sure if X windows works after the install. Currently the text install
> is so mangled it is basically unusable.

michael, you don't have a mach64, this is not the bug for you.
Comment 11 Marcus Schoen 2006-03-05 05:51:54 EST
I have the same Problem too with Ati X300Se under FC5 Test3

I hope there's no bug in the final vesion.
Comment 12 Floyd Brown 2006-03-06 08:11:12 EST
I installed on amd64, I have two video cards , one on PCI(S3Virge), one on
AGP(nVidia) and the BIOS has the default set to init the AGP card first. The
FC5T3 tried to start on the PCI video card and failed the same as previous
posts), then the "trashed" text mode came up. Previous versions (FC5T2) have all
correctly used the default video card, so someone broke something.
Comment 13 Jeremy Katz 2006-03-06 11:55:23 EST
This might be related to Bill's kudzu/rhpxl changes for video card ordering.  I
think some fixes went in there post-test3.

Does the current development tree at least start better?
Comment 14 Chris Lumens 2006-08-14 13:15:25 EDT
Is this better in FC6t2?  Lots of work has gone into X configuration for this
release.
Comment 15 Matthew Miller 2007-04-06 12:59:46 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 16 Adam Jackson 2007-05-26 15:09:37 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.